import { FunctionDefinition, HandlerFunction, UserCodePkgInfo } from './types';
export declare const DEFAULT_FN_NAME = "";
export type FunctionLoadResult = {
    /**
     * 声明的函数名称
     */
    name: string;
    /**
     * 代码包信息
     */
    pkgInfo: UserCodePkgInfo;
    /**
     * 加载时间, ms
     */
    timeCost: number;
    /**
     * 用户函数
     */
    userFunction?: HandlerFunction;
    /**
     * 如果加载不成功，返回失败原因
     */
    reason?: string;
};
/**
 * 加载用户函数
 * @param nameOrFunctions 单个函数名称或函数定义列表
 * @param codeLocation 函数文件
 * @param functionTarget 目标函数名称
 * @returns
 */
export declare function loadUserFunctions(nameOrFunctions: string | FunctionDefinition[], codeLocation: string, functionTarget: string): Promise<FunctionLoadResult | FunctionLoadResult[]>;
/**
 * 加载单个函数
 * @param name 函数名称
 * @param codeLocation 函数文件
 * @param functionTarget 目标函数名称
 * @returns
 */
declare function loadOneFunction(name: string, codeLocation: string, functionTarget: string): Promise<FunctionLoadResult>;
/**
 * This should only be accessed in test files
 */
export declare const loadUserFunctionForTesting: typeof loadOneFunction;
export {};
//# sourceMappingURL=function-loader.d.ts.map