declare enum logType {
    JSON = "json",
    TEXT = "text"
}
export declare class Interceptor {
    constructor();
    /**
     * 拦截标准输出，事件上下文格式化
     */
    static intercept(): void;
    private static interceptConsole;
    private static interceptOriginalProcessStdout;
    private static interceptOriginalProcessStderr;
}
export declare class FrameworkLogger {
    private prefix;
    private format;
    constructor({ format }: {
        format?: logType | undefined;
    });
    info(message?: unknown, ...optionalParams: unknown[]): void;
    warn(message?: unknown, ...optionalParams: unknown[]): void;
    error(message?: unknown, ...optionalParams: unknown[]): void;
    /**
     * 使用原始标准输出打印日志
     */
    static printStdout(message: string): void;
    /**
     * 使用原始标准错误打印日志
     */
    static printStderr(message: string): void;
    private formatPrefix;
    private log;
}
export declare const frameworkLogger: FrameworkLogger;
export declare enum FunctionsLoggerType {
    ACCESS = "accesslog",
    USERCODE = "usercodelog"
}
export declare class FunctionsLogger {
    private tLoggers;
    constructor();
    init(opts: {
        type: FunctionsLoggerType;
        options: Omit<ILoggerOptions, 'filename'>;
    }[]): void;
    logAccesslog(level: string, message: string): void;
    logUserCodelog(): void;
    private log;
}
export declare const functionsLogger: FunctionsLogger;
interface ILoggerOptions {
    filename: string;
    dirname?: string;
    maxSize?: string | number;
    maxFiles?: number;
}
export {};
//# sourceMappingURL=logger.d.ts.map